Debian Package Tools FE
Development
Score 74%
Description:


This application is the first part of the Debian Package Tools FE based on python-qt3.
Debian Package builder FE is a frontend for dh-make, dpkg-dev, debhelper.
It is a tool to learn to build packages for Debian based systems without any knowlegde concerning the above command line applications. Debian Package builder cannot fix build dependences and repair non-standard sources. It is only a graphical frontend.

This debug release is only for testing on your system.
Debian Package Tools FE is not intended for non Debian based systems. If it works, you are lucky, but if it does not, I will not restrict the ability of the application for the shake of a restricted system. (It will not work on SUSE, because Qscintilla package does not contain the full version Qscintilla.)
Debian Package Builder FE was not tested on Ubuntu. Theoretically, it could work from Breezy, but the package dependences may not allow you to install it. In this case, I will include an Ubuntu version, just test it.

This is a debug release. In case of any error, you can test it by the command (from running from the console):

dpkg-tools-fe full_path_to_the_tarball/tarball_name.tar.gz or tar.bz2,

or without argument:

dpkg-tools-fe.

Please, read the Help before!

Last changelog:

11 years ago


Changelog for 1.2:

- Support for debhelper 5
- dh-make 0.44 is forced to cooperate with dpkg-tools-fe

Changelog for 1.1:

- Threading improvements to increase process stability
- A solution for a python-qt bug in Debian 4.0.
- Postinst script improvements. Prerm script to clean-up.


Changelog for 1.0:

- dh_make bugfix for license type
- sound effects
- reload description automatically


Changelog for 0.99pre:

- Initial debug release

AdrianTM

10 years ago

I used it in Dapper and MEPIS (it works very nice) but now I see that I can't make it work on Sid, do you have any idea why is that, I can run it, I can unpackage a package but when I try to "debianize" it I get this answer: "The directory name must be - for dh_make to work!
I cannot understand the directory name or you have an invalid directory name!

Your current directory is /home/username, perhaps you could try going to
directory where the sources are?"

I did select the directory... how can I give more detailed info if you need?

Report

C

trisz

10 years ago

There were several modifications applied on the debian package tools since I upgraded this entry.
I have modified the package, but I have to test it before uploading it.

Report

fireedo

10 years ago

is there any plan for next update for this apps? it's has been 3 month from the last update :)
anyway thanx a lot for this apps

Report

Divilinux

10 years ago

after some upgrades..now i recived thi errore when launching app

local stock present
file 'preferences.conf' present
file 'lastproject.log' present
Traceback (most recent call last):
File "/usr/lib/dpkg-tools-fe/debbuilderfe.py", line 17, in
from qt import *
ImportError: No module named qt
dyve@a6j:~/Desktop$

Report

C

trisz

10 years ago

This application is a python-qt3 based frontend. You need the following package:

http://packages.ubuntu.com/edgy/python/python-qt3

How could you install the package without the dependency? Did you used the force option for dependency? If you did not used this option, check the presence of the package python-qt3_3.16-1.2ubuntu1_i386.deb! If it is present, the package is broken. Maybe the postinstall script fails...




Report

Divilinux

10 years ago

tnx for help..i'll try immediately your advices..

Report

C

trisz

10 years ago

Future plans:
Create local repository from packages.

I can only answer the questions next year, january of 2007.

Report

Divilinux

11 years ago

hey..really great app
keep on workin on..;)

Report

seraphyn

11 years ago

App.
Normally i build debs by the natural way.
But where are the source-packages for this one.
Not here and not on your homepage.
Could you plz post the Sources here ?
Chris

Report

C

trisz

11 years ago

This application is based on python-qt3.
The source is the python-qt3 source.
If you have py-qt3, you need not the source. Install your distro's package. This is the runtime for the application, like in the case of Java.

My application is a multiplatform script. You can not compile it to binary, but python will it automatically convert it to bytecode format. You need not anything to do.

Report

seraphyn

11 years ago

I see. Thx for the fast answere, so i will have a look at this.
Greetings Chris

Report

11 years ago


Changelog for 1.2:

- Support for debhelper 5
- dh-make 0.44 is forced to cooperate with dpkg-tools-fe

Changelog for 1.1:

- Threading improvements to increase process stability
- A solution for a python-qt bug in Debian 4.0.
- Postinst script improvements. Prerm script to clean-up.


Changelog for 1.0:

- dh_make bugfix for license type
- sound effects
- reload description automatically


Changelog for 0.99pre:

- Initial debug release

product-maker 17 59

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
1.2
updated Dec 10 2007
added Dec 07 2006
downloads today
0
page views today 0